| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ReaderResourceLimitsQos Class Reference

Qos Policy to configure the limit of the reader resources. More...

`#include <ReaderResourceLimitsQos.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | ReaderResourceLimitsQos ()=default
| Constructor.
virtual FASTDDS_EXPORTED_API | ~ReaderResourceLimitsQos ()=default
| Destructor.
bool | operator== (const ReaderResourceLimitsQos &b) const
void | clear ()

## Public Attributes

fastdds::ResourceLimitedContainerConfig | matched_publisher_allocation
| Matched publishers allocation limits.
fastdds::ResourceLimitedContainerConfig | sample_infos_allocation { 32u }
| SampleInfo allocation limits.
fastdds::ResourceLimitedContainerConfig | outstanding_reads_allocation { 2u }
| Loaned collections allocation limits.
int32_t | max_samples_per_read = 32
| Maximum number of samples to return on a single call to read / take.

## Detailed Description

Qos Policy to configure the limit of the reader resources.

## Constructor & Destructor Documentation

## ◆ ReaderResourceLimitsQos()

FASTDDS_EXPORTED_API ReaderResourceLimitsQos | ( |  | ) |

default

Constructor.

## ◆ ~ReaderResourceLimitsQos()

virtual FASTDDS_EXPORTED_API ~ReaderResourceLimitsQos | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline

## ◆ operator==()

bool operator== | ( | const ReaderResourceLimitsQos & | b | ) | const

inline

## Member Data Documentation

## ◆ matched_publisher_allocation

fastdds::ResourceLimitedContainerConfig matched_publisher_allocation

Matched publishers allocation limits.

## ◆ max_samples_per_read

int32_t max_samples_per_read = 32

Maximum number of samples to return on a single call to read / take.

This attribute is a signed integer to be consistent with the `max_samples` argument of DataReader methods, but should always have a strict positive value. Bear in mind that a big number here may cause the creation of the DataReader to fail due to pre-allocation of internal resources.

Default value: 32.

## ◆ outstanding_reads_allocation

fastdds::ResourceLimitedContainerConfig outstanding_reads_allocation { 2u }

Loaned collections allocation limits.

## ◆ sample_infos_allocation

fastdds::ResourceLimitedContainerConfig sample_infos_allocation { 32u }

SampleInfo allocation limits.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/ReaderResourceLimitsQos.hpp